## princeprocessor 0.21

=== src/Makefile ===
##
##  Makefile for pp
##

CFLAGS = -W -Wall -std=c99 -O2 -s
#CFLAGS = -W -Wall -std=c99 -g

#CC_LINUX32        = /opt/hashcat-toolchain/linux32/bin/i686-hashcat-linux-gnu-gcc
#CC_LINUX64        = /opt/hashcat-toolchain/linux64/bin/x86_64-hashcat-linux-gnu-gcc
CC_LINUX32        = gcc
CC_LINUX64        = gcc
CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc
CC_WINDOWS64      = /usr/bin/x86_64-w64-mingw32-gcc
CC_OSX32          = /usr/bin/i686-apple-darwin10-gcc
CC_OSX64          = /usr/bin/i686-apple-darwin10-gcc

CFLAGS_LINUX32    = $(CFLAGS) -m32 -DLINUX
CFLAGS_LINUX64    = $(CFLAGS) -m64 -DLINUX
CFLAGS_WINDOWS32  = $(CFLAGS) -m32 -DWINDOWS
CFLAGS_WINDOWS64  = $(CFLAGS) -m64 -DWINDOWS
CFLAGS_OSX32      = $(CFLAGS) -m32 -DOSX
CFLAGS_OSX64      = $(CFLAGS) -m64 -DOSX

all: pp64.bin

pp32: pp32.bin pp32.exe pp32.app
pp64: pp64.bin pp64.exe pp64.app

clean:
	rm -f pp32.bin pp64.bin pp32.exe pp64.exe pp32.app pp64.app

pp32.bin: pp.c mpz_int128.h
	$(CC_LINUX32)   $(CFLAGS_LINUX32)   -o $@ $^

pp64.bin: pp.c mpz_int128.h
	$(CC_LINUX64)   $(CFLAGS_LINUX64)   -o $@ $^

pp32.exe: pp.c mpz_int128.h
	$(CC_WINDOWS32) $(CFLAGS_WINDOWS32) -o $@ $^

pp64.exe: pp.c mpz_int128.h
	$(CC_WINDOWS64) $(CFLAGS_WINDOWS64) -o $@ $^

pp32.app: pp.c mpz_int128.h
	$(CC_OSX32)     $(CFLAGS_OSX32)     -o $@ $^

pp64.app: pp.c mpz_int128.h
	$(CC_OSX64)     $(CFLAGS_OSX64)     -o $@ $^

=== debian/changelog ===
princeprocessor (0.21-3) unstable; urgency=medium

  * Rename executable to avoid name clash with /usr/bin/pp64 from
    polylib-utils. Thanks to Andreas Beckmann for the hint.
    Closes: #840826

 -- Sascha Steinbiss <satta@debian.org>  Sat, 15 Oct 2016 11:53:06 +0000

princeprocessor (0.21-2) unstable; urgency=medium

  * Restrict architectures to 64-bit ones.
  * Transfer maintainership to pkg-security team.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 14 Oct 2016 09:46:38 +0000

princeprocessor (0.21-1) unstable; urgency=low

  * Initial packaging (Closes: #834438)

 -- Sascha Steinbiss <satta@debian.org>  Tue, 16 Aug 2016 05:49:21 +0000

=== debian/control ===
Source: princeprocessor
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/princeprocessor.git
Vcs-Git: https://anonscm.debian.org/git/pkg-security/princeprocessor.git
Homepage: https://github.com/hashcat/princeprocessor

Package: princeprocessor
Architecture: amd64 arm64 mips64el ppc64el s390x alpha kfreebsd-amd64 ppc64 sparc64 x32
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: standalone password candidate generator using the PRINCE algorithm
 Princeprocessor is a password candidate generator and can be thought of
 as an advanced combinator attack. Rather than taking as input two different
 wordlists and then outputting all the possible two word combinations though,
 princeprocessor only has one input wordlist and builds "chains" of combined
 words. These chains can have 1 to N words from the input wordlist
 concatenated together.
 The name PRINCE is used as an acronym and stands for PRobability INfinite
 Chained Elements, which are the building blocks of the algorithm.

=== debian/watch ===
version=3
https://github.com/hashcat/princeprocessor/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## princeprocessor 0.22

=== src/Makefile ===
--- 
+++ 
@@ -5,8 +5,6 @@
 CFLAGS = -W -Wall -std=c99 -O2 -s
 #CFLAGS = -W -Wall -std=c99 -g
 
-#CC_LINUX32        = /opt/hashcat-toolchain/linux32/bin/i686-hashcat-linux-gnu-gcc
-#CC_LINUX64        = /opt/hashcat-toolchain/linux64/bin/x86_64-hashcat-linux-gnu-gcc
 CC_LINUX32        = gcc
 CC_LINUX64        = gcc
 CC_WINDOWS32      = /usr/bin/i686-w64-mingw32-gcc

=== debian/changelog ===
princeprocessor (0.22-2) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Bump d/watch to v4
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'
  * d/s/include-binaries: Remove file, not needed

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 00:20:45 +0000

princeprocessor (0.22-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools.
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org.

  [ Sascha Steinbiss ]
  * New upstream version 0.22.
  * Remove spelling patch applied by upstream.
  * Move lintian overrides to recommended location.
  * Use debhelper 11.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 13 Jul 2018 10:53:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: princeprocessor
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sascha Steinbiss <satta@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               help2man
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/princeprocessor.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/princeprocessor.git
+Build-Depends: debhelper-compat (= 13), help2man
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/princeprocessor
+Vcs-Git: https://salsa.debian.org/pkg-security-team/princeprocessor.git
 Homepage: https://github.com/hashcat/princeprocessor
 
 Package: princeprocessor
@@ -23,4 +23,3 @@
  concatenated together.
  The name PRINCE is used as an acronym and stands for PRobability INfinite
  Chained Elements, which are the building blocks of the algorithm.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f princeprocessor.1
	rm -f pp.save

override_dh_auto_build:
	$(MAKE) -C src
	help2man -i debian/extra-man-info.txt \
	  -n 'standalone password candidate generator using the PRINCE algorithm' \
	   -N ./src/princeprocessor > princeprocessor.1

=== debian/watch ===
version=4
https://github.com/hashcat/princeprocessor/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
